###################################################
### chunk number 1: loadLibs
###################################################
#line 141 "gettingstartedMC.Rnw"
library(doMC)
registerDoMC()
foreach(i=1:3) %dopar% sqrt(i)


###################################################
### chunk number 2: bootpar
###################################################
#line 178 "gettingstartedMC.Rnw"
x <- iris[which(iris[,5] != "setosa"), c(1,5)]
trials <- 10000

ptime <- system.time({
  r <- foreach(icount(trials), .combine=cbind) %dopar% {
    ind <- sample(100, 100, replace=TRUE)
    result1 <- glm(x[ind,2]~x[ind,1], family=binomial(logit))
    coefficients(result1)
  }
})[3]
ptime


###################################################
### chunk number 3: bootseq
###################################################
#line 198 "gettingstartedMC.Rnw"
stime <- system.time({
  r <- foreach(icount(trials), .combine=cbind) %do% {
    ind <- sample(100, 100, replace=TRUE)
    result1 <- glm(x[ind,2]~x[ind,1], family=binomial(logit))
    coefficients(result1)
  }
})[3]
stime


###################################################
### chunk number 4: getDoParWorkers
###################################################
#line 232 "gettingstartedMC.Rnw"
getDoParWorkers()


###################################################
### chunk number 5: getDoParName
###################################################
#line 249 "gettingstartedMC.Rnw"
getDoParName()
getDoParVersion()


###################################################
### chunk number 6: options
###################################################
#line 267 "gettingstartedMC.Rnw"
mcoptions <- list(preschedule=FALSE, set.seed=FALSE)
foreach(i=1:3, .options.multicore=mcoptions) %dopar% sqrt(i)


###################################################
### chunk number 7: coreoptions
###################################################
#line 279 "gettingstartedMC.Rnw"
options(cores=2)
getDoParWorkers()
options(cores=3)
getDoParWorkers()


###################################################
### chunk number 8: coreoptions2
###################################################
#line 289 "gettingstartedMC.Rnw"
registerDoMC(4)
options(cores=2)
getDoParWorkers()


